using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using C4IT.Configuration;
using C4IT.Security;

namespace LiamTestTeams
{
    public class cLiamTestTeamsConfig
    {
        public const string constRegPathConfig = @"Software\Consulting4IT GmbH\LIAM\LiamTestTeams";

        [RegConfig]
        public string Tenant = "";

        [RegConfig]
        public string ClientAppID = "";

        [RegConfig]
        public string ClientSecret = "";

        public void Save(string Property = null)
        {
            cConfigRegistryHelper.Save(constRegPathConfig, this, Property);
        }

        public void Load()
        {
            cConfigRegistryHelper.Load(constRegPathConfig, this, true);
        }

    }
}
